#include "todomanager.h"
#include <algorithm>

void TodoManager::save(Todo& task)
{
    if (task.id == 0) {
        task.id = _tasks.size() + 1;
        _tasks.push_back(task);
        emit todoAdded(task);
    } else {
        auto it = find_if(_tasks.begin(), _tasks.end(), [&](Todo& t) { return t.id == task.id; });
        if (it != _tasks.end()) {
            *it = task;
            emit todoUpdated(task);
        }
    }
}
