#include "todotablemodel.h"
#include <QObject>
#include <iostream>

TodoTableModel::TodoTableModel(TodoManager& m, QObject* parent)
    : QAbstractTableModel(parent), manager(m) {
    QObject::connect(&manager, SIGNAL(todoAdded(const Todo&)), this, SLOT(todoAdded(const Todo&)));
    QObject::connect(&manager, SIGNAL(todoUpdated(const Todo&)), this, SLOT(todoUpdated(const Todo&)));
}

QVariant TodoTableModel::data(const QModelIndex &index, int role) const
{
    if (role == Qt::DisplayRole) {
        return index.column()==0?
                QString(manager.tasks()[index.row()].title.c_str()):
                QString(manager.tasks()[index.row()].description.c_str());
    }
    return QVariant();
}

void TodoTableModel::todoAdded(const Todo&) {
    int size = manager.tasks().size();
    beginInsertRows(QModelIndex(), size, size);
    endInsertRows();
}

void TodoTableModel::todoUpdated(const Todo&) {
    int size = manager.tasks().size();
    emit dataChanged(createIndex(0, 0), createIndex(size-1, 1));
}
