#ifndef TODOTABLEMODEL_H
#define TODOTABLEMODEL_H
#include <QAbstractTableModel>
#include <QObject>
#include "todomanager.h"

class TodoTableModel : public QAbstractTableModel
{
    Q_OBJECT
private:
    TodoManager& manager;
public:
    TodoTableModel(TodoManager& m, QObject* parent);
    int rowCount(const QModelIndex&) const
    {
        return manager.tasks().size();
    }
    int columnCount(const QModelIndex&) const
    {
        return 2;
    }
    QVariant data(const QModelIndex &index, int role = Qt::DisplayRole) const;
private slots:
    void todoAdded(const Todo&);
    void todoUpdated(const Todo&);
};

#endif // TODOTABLEMODEL_H

